IFNE(1)

NAME
ifne - Run command if the standard input is not empty

SYNOPSIS

ifne [-n] command

DESCRIPTION

ifne runs the following command if and only if the standard input is not empty.

OPTIONS

-n
    Reverse operation. Run the command if the standard input is empty.

    Note that if the standard input is not empty, it is passed through ifne in this case.

EXAMPLE

find . -name core | ifne mail -s "Core files found" root

AUTHOR

Copyright 2008 by Javier Merino <cibervicho@gmail.com>

Licensed under the GNU GPL